<div id="search-component">
    <h2>Hero search</h2>
    <form>
        <mat-form-field color="accent">
            <input [formControl]="heroesControl"
                   [matAutocomplete]="auto"
                   aria-label="Heroes"
                   matInput
                   placeholder="Search by name"
                   type="text">
            <mat-autocomplete #auto="matAutocomplete">
                <div *ngFor="let hero of heroes$ | async; trackBy: trackByHeroId">
                    <app-router-link (click)="navigate(hero.id)">
                        <mat-option [value]="hero"> {{hero.name}}</mat-option>
                    </app-router-link>
                </div>
            </mat-autocomplete>
        </mat-form-field>
    </form>
</div>
